

<!DOCTYPE html>
<html class="writer-html5" lang="en" data-content_root="./">
<head>
  <meta charset="utf-8" /><meta name="viewport" content="width=device-width, initial-scale=1" />

  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>gwmat.methods package &mdash; GWMAT: Gravitational Wave Microlensing Analysis Tools 1.0.0 documentation</title>
      <link rel="stylesheet" type="text/css" href="_static/pygments.css?v=80d5e7a1" />
      <link rel="stylesheet" type="text/css" href="_static/css/theme.css?v=7ab3649f" />

  
      <script src="_static/jquery.js?v=5d32c60e"></script>
      <script src="_static/_sphinx_javascript_frameworks_compat.js?v=2cd50e6c"></script>
      <script src="_static/documentation_options.js?v=8d563738"></script>
      <script src="_static/doctools.js?v=9a2dae69"></script>
      <script src="_static/sphinx_highlight.js?v=dc90522c"></script>
    <script src="_static/js/theme.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="prev" title="gwmat.bilby_custom_FD_source_models package" href="gwmat.bilby_custom_FD_source_models.html" /> 
</head>

<body class="wy-body-for-nav"> 
  <div class="wy-grid-for-nav">
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >

          
          
          <a href="index.html" class="icon icon-home">
            GWMAT: Gravitational Wave Microlensing Analysis Tools
          </a>
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" aria-label="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>
        </div><div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="Navigation menu">
              <ul class="current">
<li class="toctree-l1 current"><a class="reference internal" href="gwmat.html">gwmat package</a><ul class="current">
<li class="toctree-l2 current"><a class="reference internal" href="gwmat.html#subpackages">Subpackages</a><ul class="current">
<li class="toctree-l3"><a class="reference internal" href="gwmat.bilby_custom_FD_source_models.html">gwmat.bilby_custom_FD_source_models package</a></li>
<li class="toctree-l3 current"><a class="current reference internal" href="#">gwmat.methods package</a><ul>
<li class="toctree-l4"><a class="reference internal" href="#submodules">Submodules</a></li>
<li class="toctree-l4"><a class="reference internal" href="#gwmat-methods-ff-computation-module">gwmat.methods.FF_computation module</a></li>
<li class="toctree-l4"><a class="reference internal" href="#module-gwmat.methods">Module contents</a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="gwmat.html#submodules">Submodules</a></li>
<li class="toctree-l2"><a class="reference internal" href="gwmat.html#module-gwmat.constants">gwmat.constants module</a></li>
<li class="toctree-l2"><a class="reference internal" href="gwmat.html#module-gwmat.conversion">gwmat.conversion module</a></li>
<li class="toctree-l2"><a class="reference internal" href="gwmat.html#module-gwmat.cosmology">gwmat.cosmology module</a></li>
<li class="toctree-l2"><a class="reference internal" href="gwmat.html#module-gwmat.cythonized_point_lens">gwmat.cythonized_point_lens module</a></li>
<li class="toctree-l2"><a class="reference internal" href="gwmat.html#module-gwmat.domain">gwmat.domain module</a></li>
<li class="toctree-l2"><a class="reference internal" href="gwmat.html#module-gwmat.general_utils">gwmat.general_utils module</a></li>
<li class="toctree-l2"><a class="reference internal" href="gwmat.html#module-gwmat.gw_utils">gwmat.gw_utils module</a></li>
<li class="toctree-l2"><a class="reference internal" href="gwmat.html#module-gwmat.injection">gwmat.injection module</a></li>
<li class="toctree-l2"><a class="reference internal" href="gwmat.html#module-gwmat.nr_injection">gwmat.nr_injection module</a></li>
<li class="toctree-l2"><a class="reference internal" href="gwmat.html#module-gwmat.point_lens">gwmat.point_lens module</a></li>
<li class="toctree-l2"><a class="reference internal" href="gwmat.html#module-gwmat">Module contents</a></li>
</ul>
</li>
</ul>

        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap"><nav class="wy-nav-top" aria-label="Mobile navigation menu" >
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="index.html">GWMAT: Gravitational Wave Microlensing Analysis Tools</a>
      </nav>

      <div class="wy-nav-content">
        <div class="rst-content">
          <div role="navigation" aria-label="Page navigation">
  <ul class="wy-breadcrumbs">
      <li><a href="index.html" class="icon icon-home" aria-label="Home"></a></li>
          <li class="breadcrumb-item"><a href="gwmat.html">gwmat package</a></li>
      <li class="breadcrumb-item active">gwmat.methods package</li>
      <li class="wy-breadcrumbs-aside">
            <a href="_sources/gwmat.methods.rst.txt" rel="nofollow"> View page source</a>
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
             
  <section id="gwmat-methods-package">
<h1>gwmat.methods package<a class="headerlink" href="#gwmat-methods-package" title="Link to this heading"></a></h1>
<section id="submodules">
<h2>Submodules<a class="headerlink" href="#submodules" title="Link to this heading"></a></h2>
</section>
<section id="gwmat-methods-ff-computation-module">
<h2>gwmat.methods.FF_computation module<a class="headerlink" href="#gwmat-methods-ff-computation-module" title="Link to this heading"></a></h2>
</section>
<section id="module-gwmat.methods">
<span id="module-contents"></span><h2>Module contents<a class="headerlink" href="#module-gwmat.methods" title="Link to this heading"></a></h2>
</section>
</section>


           </div>
          </div>
          <footer><div class="rst-footer-buttons" role="navigation" aria-label="Footer">
        <a href="gwmat.bilby_custom_FD_source_models.html" class="btn btn-neutral float-left" title="gwmat.bilby_custom_FD_source_models package" accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left" aria-hidden="true"></span> Previous</a>
    </div>

  <hr/>

  <div role="contentinfo">
    <p>&#169; Copyright 2023, Anuj Mishra.</p>
  </div>

  Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    provided by <a href="https://readthedocs.org">Read the Docs</a>.
   

</footer>
        </div>
      </div>
    </section>
  </div>
  <script>
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script> 

</body>
</html>